Commit ffff11dd authored by Thorsten Alteholz's avatar Thorsten Alteholz

Imported Debian patch 3.09-5+deb6u1

parent 4eb8d280
pyyaml (3.09-5+deb6u1) squeeze-lts; urgency=high
* Non-maintainer upload by the Squeeze LTS Team.
* Add CVE-2014-9130.patch.
CVE-2014-9130: assert failure when processing wrapped strings.
(Closes: #772815)
-- Thorsten Alteholz <debian@alteholz.de> Sat, 03 Jan 2015 16:00:21 +0100
pyyaml (3.09-5) unstable; urgency=low
* Team upload.
......
......@@ -297,10 +297,6 @@ class Scanner(object):
# Check if a simple key is required at the current position.
required = not self.flow_level and self.indent == self.column
# A simple key is required only if it is the first token in the current
# line. Therefore it is always allowed.
assert self.allow_simple_key or not required
# The next token might be a simple key. Let's save it's number and
# position.
if self.allow_simple_key:
......
......@@ -297,10 +297,6 @@ class Scanner:
# Check if a simple key is required at the current position.
required = not self.flow_level and self.indent == self.column
# A simple key is required only if it is the first token in the current
# line. Therefore it is always allowed.
assert self.allow_simple_key or not required
# The next token might be a simple key. Let's save it's number and
# position.
if self.allow_simple_key:
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment